### Method

# GObject Value set_static_boxed

#### Declaration

    void
    g_value_set_static_boxed (
      GValue* value,
      gconstpointer v_boxed
    )

#### Description

Set the contents of a `G_TYPE_BOXED` derived `GValue` to `v_boxed`.

The boxed value is assumed to be static, and is thus not duplicated when setting the `GValue`.

#### Parameters

`v_boxed`

  Type: `gconstpointer`

  Static boxed value to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.